Subject: [PATCH v2 0/1] doc: Add a note about ~/.zsh/_git file

From: "Max Belsky via GitGitGadget" <[email-masked]>
Date: Fri, 11 Oct 2019 10:54:27 -0700 (PDT)

Hey,

Today I've spent a few hours to understand why git-completion doesn't work
in my zsh shell. It was because I thought ~/.zsh/_git should be a dictionary
with git-completion.zsh file. 

I think this change may save some hours for someone else.

Maxim Belsky (1):
  doc: Change zsh git completion file name

 contrib/completion/git-completion.zsh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

base-commit: 4c86140027f4a0d2caaa3ab4bd8bfc5ce3c11c8a
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-367%2Fmbelsky%2Fpatch-1-v2
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-367/mbelsky/patch-1-v2
Pull-Request: https://github.com/gitgitgadget/git/pull/367

Range-diff vs v1:

 1:  ae00e1e393 ! 1:  3f994f3b9a doc: Change zsh git completion file name
     @@ -2,7 +2,15 @@
      
          doc: Change zsh git completion file name
      
     +    The original comment does not describe type of ~/.zsh/_git explicitly
     +    and zsh does not warn or fail if a user create it as a dictionary.
     +    So unexperienced users could be misled by the original comment.
     +
     +    There is a small update to clarify it.
     +
          Signed-off-by: Maxim Belsky <[email-masked]>
     +    Helped-by: Johannes Schindelin <[email-masked]>
     +    Helped-by: Junio C Hamano <[email-masked]>
      
       diff --git a/contrib/completion/git-completion.zsh b/contrib/completion/git-completion.zsh
       --- a/contrib/completion/git-completion.zsh
     @@ -13,9 +21,9 @@
       #
      -# The recommended way to install this script is to copy to '~/.zsh/_git', and
      -# then add the following to your ~/.zshrc file:
     -+# The recommended way to install this script is to copy to
     -+# '~/.zsh/.git-completion.zsh', and then add the following to your ~/.zshrc
     -+# file:
     ++# The recommended way to install this script is to make a copy of it in
     ++# ~/.zsh/ directory as ~/.zsh/git-completion.zsh and then add the following
     ++# to your ~/.zshrc file:
       #
       #  fpath=(~/.zsh $fpath)

-- 
gitgitgadget